<form class="status-confirmation box-shadow" [formGroup]="form">
  <div class="header">
    <span>3. STATUS OF YOUR POSITION</span>
    <span (click)="onClick($event)">
      <img
        ngSrc="../../../../../assets/icons/bi_arrow-down-circle.svg"
        width="16"
        height="16" />&nbsp;TOP
    </span>
  </div>
  <div class="container-details">
    <div style="margin-top: 2rem" class="section">3.1 Posted employed person</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['postedEmployedPerson'].invalid &&
          (form.controls['postedEmployedPerson'].dirty ||
            form.controls['postedEmployedPerson'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="postedEmployedPerson"
        placeholder="Posted employed person">
      </ion-input>
    </div>

    <div id="validation-errors-3-1">
      <div
        [ngClass]="
          form.controls['postedEmployedPerson'].invalid &&
          (form.controls['postedEmployedPerson'].dirty ||
            form.controls['postedEmployedPerson'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Posted employed person is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.2 Employed in two or more States</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['employedInTwoOrMoreMemberStates'].invalid &&
          (form.controls['employedInTwoOrMoreMemberStates'].dirty ||
            form.controls['employedInTwoOrMoreMemberStates'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="employedInTwoOrMoreMemberStates"
        placeholder="Employed in two or more States">
      </ion-input>
    </div>

    <div id="validation-errors-3-2">
      <div
        [ngClass]="
          form.controls['employedInTwoOrMoreMemberStates'].invalid &&
          (form.controls['employedInTwoOrMoreMemberStates'].dirty ||
            form.controls['employedInTwoOrMoreMemberStates'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Employed in two or more states response is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.3 Posted self-employed person</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['postedSelfEmployedPerson'].invalid &&
          (form.controls['postedSelfEmployedPerson'].dirty ||
            form.controls['postedSelfEmployedPerson'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="postedSelfEmployedPerson"
        placeholder="Posted self-employed person">
      </ion-input>
    </div>

    <div id="validation-errors-3-3">
      <div
        [ngClass]="
          form.controls['postedSelfEmployedPerson'].invalid &&
          (form.controls['postedSelfEmployedPerson'].dirty ||
            form.controls['postedSelfEmployedPerson'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Posted self employed persons response is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.4 Self-employed in two or more States</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['selfEmployedInTwoOrMoreMemberStates'].invalid &&
          (form.controls['selfEmployedInTwoOrMoreMemberStates'].dirty ||
            form.controls['selfEmployedInTwoOrMoreMemberStates'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="selfEmployedInTwoOrMoreMemberStates"
        placeholder="Self-employed in two or more States">
      </ion-input>
    </div>

    <div id="validation-errors-3-4">
      <div
        [ngClass]="
          form.controls['selfEmployedInTwoOrMoreMemberStates'].invalid &&
          (form.controls['selfEmployedInTwoOrMoreMemberStates'].dirty ||
            form.controls['selfEmployedInTwoOrMoreMemberStates'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Self employed two or more states response is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.5 Civil servant</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['civilServant'].invalid &&
          (form.controls['civilServant'].dirty || form.controls['civilServant'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="civilServant"
        placeholder="Civil servant">
      </ion-input>
    </div>

    <div id="validation-errors-3-5">
      <div
        [ngClass]="
          form.controls['civilServant'].invalid &&
          (form.controls['civilServant'].dirty || form.controls['civilServant'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Civil servant response is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.6 Contract staff</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['contractStaff'].invalid &&
          (form.controls['contractStaff'].dirty || form.controls['contractStaff'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="contractStaff"
        placeholder="Contract staff">
      </ion-input>
    </div>

    <div id="validation-errors-3-6">
      <div
        [ngClass]="
          form.controls['contractStaff'].invalid &&
          (form.controls['contractStaff'].dirty || form.controls['contractStaff'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Contract staff response is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.7 Mariners</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['mariners'].invalid &&
          (form.controls['mariners'].dirty || form.controls['mariners'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="mariners"
        placeholder="Mariners">
      </ion-input>
    </div>

    <div id="validation-errors-3-7">
      <div
        [ngClass]="
          form.controls['mariners'].invalid &&
          (form.controls['mariners'].dirty || form.controls['mariners'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Mariners response is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.8 Employed and self-employed</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['employedAndSelfEmployed'].invalid &&
          (form.controls['employedAndSelfEmployed'].dirty ||
            form.controls['employedAndSelfEmployed'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="employedAndSelfEmployed"
        placeholder="Employed and self-employed">
      </ion-input>
    </div>

    <div id="validation-errors-3-8">
      <div
        [ngClass]="
          form.controls['employedAndSelfEmployed'].invalid &&
          (form.controls['employedAndSelfEmployed'].dirty ||
            form.controls['employedAndSelfEmployed'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Employed and self employed response is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.9 Civil servant and employed/self-employed</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['civilServantAndEmployedOrSelfEmployed'].invalid &&
          (form.controls['civilServantAndEmployedOrSelfEmployed'].dirty ||
            form.controls['civilServantAndEmployedOrSelfEmployed'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="civilServantAndEmployedOrSelfEmployed"
        placeholder="Civil servant and employed/self-employed">
      </ion-input>
    </div>

    <div id="validation-errors-3-9">
      <div
        [ngClass]="
          form.controls['civilServantAndEmployedOrSelfEmployed'].invalid &&
          (form.controls['civilServantAndEmployedOrSelfEmployed'].dirty ||
            form.controls['civilServantAndEmployedOrSelfEmployed'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Civil servant and employed/self-employed response is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.10 Flight/cabin crew member</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['flightCrewMember'].invalid &&
          (form.controls['flightCrewMember'].dirty || form.controls['flightCrewMember'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="flightCrewMember"
        placeholder="Flight/cabin crew member">
      </ion-input>
    </div>

    <div id="validation-errors-3-10">
      <div
        [ngClass]="
          form.controls['flightCrewMember'].invalid &&
          (form.controls['flightCrewMember'].dirty || form.controls['flightCrewMember'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Flight/cabin crew member response is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.11 Exception</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['exception'].invalid &&
          (form.controls['exception'].dirty || form.controls['exception'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="exception"
        placeholder="Exception">
      </ion-input>
    </div>

    <div id="validation-errors-3-11">
      <div
        [ngClass]="
          form.controls['exception'].invalid &&
          (form.controls['exception'].dirty || form.controls['exception'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Exception response is required - 'yes' or 'no'.
      </div>
    </div>

    <div class="section">3.11.1 Exception Description</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['exceptionDescription'].invalid &&
          (form.controls['exceptionDescription'].dirty ||
            form.controls['exceptionDescription'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="exceptionDescription"
        placeholder="Exception Description">
      </ion-input>
    </div>

    <div id="validation-errors-3-11-1">
      <div
        [ngClass]="
          form.controls['exceptionDescription'].invalid &&
          (form.controls['exceptionDescription'].dirty ||
            form.controls['exceptionDescription'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Exception description response is required.
      </div>
    </div>

    <div class="section">3.12 Employed/self-employed in state 2.1</div>
    <div style="margin: 1rem 0">
      <ion-input
        [ngClass]="
          form.controls['workingInStateUnder21'].invalid &&
          (form.controls['workingInStateUnder21'].dirty ||
            form.controls['workingInStateUnder21'].touched)
            ? 'custom ion-error-message'
            : 'custom'
        "
        class="custom"
        formControlName="workingInStateUnder21"
        placeholder="Employed/self-employed in state 2.1">
      </ion-input>
    </div>

    <div id="validation-errors-3-12">
      <div
        [ngClass]="
          form.controls['workingInStateUnder21'].invalid &&
          (form.controls['workingInStateUnder21'].dirty ||
            form.controls['workingInStateUnder21'].touched)
            ? 'error-message'
            : 'error-message-hidden'
        ">
        Employed/self-employed in state 2.1 response is required - 'yes' or 'no'.
      </div>
    </div>
  </div>
</form>
